> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/nfts/list-token-data-by-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List token data by ID

> Returns the requested token data.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /nfts/tokens/{id}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /nfts/tokens/{id}:
    get:
      tags:
        - NFTs
      summary: List token data by ID
      description: |
        Returns the requested token data.
      operationId: getNFT
      parameters:
        - name: id
          required: true
          in: path
          description: NFT ID
          example: NFT-abcdefabcdefabcdefabcdefabcdefabcdefabcd
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<TokenResponse>> =
            fireblocks.nFTs.getNFT(nFTsApiGetNFTRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TokenResponse>> response =
            fireblocks.nFTs().getNFT(id);
        - lang: Python
          source: response = fireblocks.n_f_ts.get_n_f_t(id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    TokenResponse:
      type: object
      properties:
        id:
          type: string
          description: The Fireblocks NFT asset id
        tokenId:
          type: string
          description: Token id within the contract/collection
        standard:
          type: string
          description: ERC721 / ERC1155
        metadataURI:
          type: string
          description: URL of the original token JSON metadata
        cachedMetadataURI:
          type: string
          description: URL of the cached token JSON metadata
        media:
          description: Media items extracted from metadata JSON
          type: array
          items:
            $ref: '#/components/schemas/MediaEntityResponse'
        spam:
          description: Token spam status
          allOf:
            - $ref: '#/components/schemas/SpamTokenResponse'
        collection:
          description: Parent collection information
          allOf:
            - $ref: '#/components/schemas/TokenCollectionResponse'
        blockchainDescriptor:
          enum:
            - ETH
            - ETH_TEST3
            - ETH_TEST5
            - ETH_TEST6
            - POLYGON
            - POLYGON_TEST_MUMBAI
            - AMOY_POLYGON_TEST
            - XTZ
            - XTZ_TEST
            - BASECHAIN_ETH
            - BASECHAIN_ETH_TEST3
            - BASECHAIN_ETH_TEST5
            - ETHERLINK
            - ETHERLINK_TEST
            - MANTLE
            - MANTLE_TEST
            - GUN_GUNZILLA
            - GUN_GUNZILLA_TEST
            - ETH_SONEIUM
            - SONEIUM_MINATO_TEST
            - IOTX_IOTEX
            - KLAY_KAIA
            - KLAY_KAIA_TEST
            - APECHAIN
            - APECHAIN_TEST
            - CRONOS
            - CRONOS_TEST
            - ROBINHOOD_CHAIN_TESTNET_TEST
          type: string
        description:
          type: string
        name:
          type: string
      required:
        - id
        - tokenId
        - standard
        - blockchainDescriptor
    MediaEntityResponse:
      type: object
      properties:
        url:
          type: string
          description: Cached accessible URL
        contentType:
          type: string
          enum:
            - IMAGE
            - VIDEO
            - ANIMATION
            - THREE_D
            - TEXT
            - GIF
            - UNKNOWN_TYPE
            - SVG
            - AUDIO
          description: Media type
      required:
        - url
        - contentType
    SpamTokenResponse:
      type: object
      properties:
        result:
          type: boolean
          description: Token spam result
      required:
        - result
    TokenCollectionResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        symbol:
          type: string
      required:
        - id

````